org.optaplanner.benchmark.config

## Class PlannerBenchmarkConfig

- java.lang.Object
- - org.optaplanner.benchmark.config.PlannerBenchmarkConfig

-     public class PlannerBenchmarkConfig
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PARALLEL_BENCHMARK_COUNT_AUTO`
    `static Pattern` | `VALID_NAME_PATTERN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlannerBenchmarkConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected List<SolverBenchmarkConfig>` | `buildEffectiveSolverBenchmarkConfigList()`
    `PlannerBenchmark` | `buildPlannerBenchmark()`
    `PlannerBenchmark` | `buildPlannerBenchmark(SolverConfigContext solverConfigContext)`
    `<Solution_> PlannerBenchmark` | `buildPlannerBenchmark(SolverConfigContext solverConfigContext, Solution_[] extraProblems)`
    `protected Long` | `calculateWarmUpTimeMillisSpentLimit()`
    `protected void` | `generateSolverBenchmarkConfigNames()`
    `File` | `getBenchmarkDirectory()`
    `BenchmarkReportConfig` | `getBenchmarkReportConfig()`
    `SolverBenchmarkConfig` | `getInheritedSolverBenchmarkConfig()`
    `String` | `getName()`
    `String` | `getParallelBenchmarkCount()` Using multiple parallel benchmarks can decrease the reliability of the results.
    `List<SolverBenchmarkBluePrintConfig>` | `getSolverBenchmarkBluePrintConfigList()`
    `List<SolverBenchmarkConfig>` | `getSolverBenchmarkConfigList()`
    `Class<? extends ThreadFactory>` | `getThreadFactoryClass()`
    `Long` | `getWarmUpDaysSpentLimit()`
    `Long` | `getWarmUpHoursSpentLimit()`
    `Long` | `getWarmUpMillisecondsSpentLimit()`
    `Long` | `getWarmUpMinutesSpentLimit()`
    `Long` | `getWarmUpSecondsSpentLimit()`
    `protected int` | `resolveParallelBenchmarkCount()`
    `protected int` | `resolveParallelBenchmarkCountAutomatically(int availableProcessorCount)`
    `void` | `setBenchmarkDirectory(File benchmarkDirectory)`
    `void` | `setBenchmarkReportConfig(BenchmarkReportConfig benchmarkReportConfig)`
    `void` | `setInheritedSolverBenchmarkConfig(SolverBenchmarkConfig inheritedSolverBenchmarkConfig)`
    `void` | `setName(String name)`
    `void` | `setParallelBenchmarkCount(String parallelBenchmarkCount)`
    `void` | `setSolverBenchmarkBluePrintConfigList(List<SolverBenchmarkBluePrintConfig> solverBenchmarkBluePrintConfigList)`
    `void` | `setSolverBenchmarkConfigList(List<SolverBenchmarkConfig> solverBenchmarkConfigList)`
    `void` | `setThreadFactoryClass(Class<? extends ThreadFactory> threadFactoryClass)`
    `void` | `setWarmUpDaysSpentLimit(Long warmUpDaysSpentLimit)`
    `void` | `setWarmUpHoursSpentLimit(Long warmUpHoursSpentLimit)`
    `void` | `setWarmUpMillisecondsSpentLimit(Long warmUpMillisecondsSpentLimit)`
    `void` | `setWarmUpMinutesSpentLimit(Long warmUpMinutesSpentLimit)`
    `void` | `setWarmUpSecondsSpentLimit(Long warmUpSecondsSpentLimit)`
    `protected void` | `validate()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PARALLEL_BENCHMARK_COUNT_AUTO

          public static final String PARALLEL_BENCHMARK_COUNT_AUTO

      See Also:
        Constant Field Values

    - #### VALID_NAME_PATTERN

          public static final Pattern VALID_NAME_PATTERN

  - ### Constructor Detail

    - #### PlannerBenchmarkConfig

          public PlannerBenchmarkConfig()

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getBenchmarkDirectory

          public File getBenchmarkDirectory()

    - #### setBenchmarkDirectory

          public void setBenchmarkDirectory(File benchmarkDirectory)

    - #### getThreadFactoryClass

          public Class<? extends ThreadFactory> getThreadFactoryClass()

    - #### setThreadFactoryClass

          public void setThreadFactoryClass(Class<? extends ThreadFactory> threadFactoryClass)

    - #### getParallelBenchmarkCount

          public String getParallelBenchmarkCount()

      Using multiple parallel benchmarks can decrease the reliability of the results.

      If there aren't enough processors available, it will be decreased.

      Returns:
        null, a number, "AUTO" or a JavaScript calculation using "availableProcessorCount".

    - #### setParallelBenchmarkCount

          public void setParallelBenchmarkCount(String parallelBenchmarkCount)

    - #### getWarmUpMillisecondsSpentLimit

          public Long getWarmUpMillisecondsSpentLimit()

    - #### setWarmUpMillisecondsSpentLimit

          public void setWarmUpMillisecondsSpentLimit(Long warmUpMillisecondsSpentLimit)

    - #### getWarmUpSecondsSpentLimit

          public Long getWarmUpSecondsSpentLimit()

    - #### setWarmUpSecondsSpentLimit

          public void setWarmUpSecondsSpentLimit(Long warmUpSecondsSpentLimit)

    - #### getWarmUpMinutesSpentLimit

          public Long getWarmUpMinutesSpentLimit()

    - #### setWarmUpMinutesSpentLimit

          public void setWarmUpMinutesSpentLimit(Long warmUpMinutesSpentLimit)

    - #### getWarmUpHoursSpentLimit

          public Long getWarmUpHoursSpentLimit()

    - #### setWarmUpHoursSpentLimit

          public void setWarmUpHoursSpentLimit(Long warmUpHoursSpentLimit)

    - #### getWarmUpDaysSpentLimit

          public Long getWarmUpDaysSpentLimit()

    - #### setWarmUpDaysSpentLimit

          public void setWarmUpDaysSpentLimit(Long warmUpDaysSpentLimit)

    - #### getBenchmarkReportConfig

          public BenchmarkReportConfig getBenchmarkReportConfig()

    - #### setBenchmarkReportConfig

          public void setBenchmarkReportConfig(BenchmarkReportConfig benchmarkReportConfig)

    - #### getInheritedSolverBenchmarkConfig

          public SolverBenchmarkConfig getInheritedSolverBenchmarkConfig()

    - #### setInheritedSolverBenchmarkConfig

          public void setInheritedSolverBenchmarkConfig(SolverBenchmarkConfig inheritedSolverBenchmarkConfig)

    - #### getSolverBenchmarkBluePrintConfigList

          public List<SolverBenchmarkBluePrintConfig> getSolverBenchmarkBluePrintConfigList()

    - #### setSolverBenchmarkBluePrintConfigList

          public void setSolverBenchmarkBluePrintConfigList(List<SolverBenchmarkBluePrintConfig> solverBenchmarkBluePrintConfigList)

    - #### getSolverBenchmarkConfigList

          public List<SolverBenchmarkConfig> getSolverBenchmarkConfigList()

    - #### setSolverBenchmarkConfigList

          public void setSolverBenchmarkConfigList(List<SolverBenchmarkConfig> solverBenchmarkConfigList)

    - #### buildPlannerBenchmark

          public PlannerBenchmark buildPlannerBenchmark()

    - #### buildPlannerBenchmark

          public PlannerBenchmark buildPlannerBenchmark(SolverConfigContext solverConfigContext)

    - #### buildPlannerBenchmark

          public <Solution_> PlannerBenchmark buildPlannerBenchmark(SolverConfigContext solverConfigContext,
                                                                    Solution_[] extraProblems)

    - #### validate

          protected void validate()

    - #### generateSolverBenchmarkConfigNames

          protected void generateSolverBenchmarkConfigNames()

    - #### buildEffectiveSolverBenchmarkConfigList

          protected List<SolverBenchmarkConfig> buildEffectiveSolverBenchmarkConfigList()

    - #### resolveParallelBenchmarkCount

          protected int resolveParallelBenchmarkCount()

    - #### resolveParallelBenchmarkCountAutomatically

          protected int resolveParallelBenchmarkCountAutomatically(int availableProcessorCount)

    - #### calculateWarmUpTimeMillisSpentLimit

          protected Long calculateWarmUpTimeMillisSpentLimit()

Copyright © 2006–2019 JBoss by Red Hat. All rights reserved.